Get the reporting home dashboard (payment-operations)
curl --request GET \
--url https://api.simplepay.mx/v1/reporting/home-dashboard \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.simplepay.mx/v1/reporting/home-dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.simplepay.mx/v1/reporting/home-dashboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"as_of": "2023-11-07T05:31:56Z",
"currency": "<string>",
"data_status": "ready",
"deposits": {
"pending_total_minor": 4503599627370495,
"upcoming": [
{}
]
},
"environment": "live",
"income": {
"ranges": {
"seven_days": {
"average_ticket_minor": 4503599627370495,
"comparison_percent": 0,
"end_date": "2023-12-25",
"fees_minor": 4503599627370495,
"gross_minor": 4503599627370495,
"net_minor": 0,
"points": [
{
"date": "2023-12-25",
"gross_minor": 4503599627370495,
"transaction_count": 4503599627370495
}
],
"previous_gross_minor": 4503599627370495,
"refunds_minor": 4503599627370495,
"start_date": "2023-12-25",
"transaction_count": 4503599627370495,
"window_days": 7
},
"thirty_days": {
"average_ticket_minor": 4503599627370495,
"comparison_percent": 0,
"end_date": "2023-12-25",
"fees_minor": 4503599627370495,
"gross_minor": 4503599627370495,
"net_minor": 0,
"points": [
{
"date": "2023-12-25",
"gross_minor": 4503599627370495,
"transaction_count": 4503599627370495
}
],
"previous_gross_minor": 4503599627370495,
"refunds_minor": 4503599627370495,
"start_date": "2023-12-25",
"transaction_count": 4503599627370495,
"window_days": 7
}
}
},
"object": "simplepay.v2.reporting.home_dashboard",
"payout_account": {
"attached": true,
"data_status": "ready",
"institution_name": "<string>",
"last4": "<string>",
"payout_ready": true,
"reason": "no_external_account"
},
"sales_by_day": [
{
"date": "2023-12-25",
"gross_minor": 4503599627370495,
"transaction_count": 4503599627370495
}
],
"source_complete_through": "2023-11-07T05:31:56Z",
"summary": {
"has_deposit_history": true,
"has_successful_sales": true,
"month_deposits_minor": 123,
"month_sales_minor": 123,
"today_sales_minor": 123,
"upcoming_deposit_arrival_date": "2023-12-25",
"upcoming_deposit_minor": 1
},
"truncated": true
}GET
/
v1
/
reporting
/
home-dashboard
Get the reporting home dashboard (payment-operations)
curl --request GET \
--url https://api.simplepay.mx/v1/reporting/home-dashboard \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.simplepay.mx/v1/reporting/home-dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.simplepay.mx/v1/reporting/home-dashboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"as_of": "2023-11-07T05:31:56Z",
"currency": "<string>",
"data_status": "ready",
"deposits": {
"pending_total_minor": 4503599627370495,
"upcoming": [
{}
]
},
"environment": "live",
"income": {
"ranges": {
"seven_days": {
"average_ticket_minor": 4503599627370495,
"comparison_percent": 0,
"end_date": "2023-12-25",
"fees_minor": 4503599627370495,
"gross_minor": 4503599627370495,
"net_minor": 0,
"points": [
{
"date": "2023-12-25",
"gross_minor": 4503599627370495,
"transaction_count": 4503599627370495
}
],
"previous_gross_minor": 4503599627370495,
"refunds_minor": 4503599627370495,
"start_date": "2023-12-25",
"transaction_count": 4503599627370495,
"window_days": 7
},
"thirty_days": {
"average_ticket_minor": 4503599627370495,
"comparison_percent": 0,
"end_date": "2023-12-25",
"fees_minor": 4503599627370495,
"gross_minor": 4503599627370495,
"net_minor": 0,
"points": [
{
"date": "2023-12-25",
"gross_minor": 4503599627370495,
"transaction_count": 4503599627370495
}
],
"previous_gross_minor": 4503599627370495,
"refunds_minor": 4503599627370495,
"start_date": "2023-12-25",
"transaction_count": 4503599627370495,
"window_days": 7
}
}
},
"object": "simplepay.v2.reporting.home_dashboard",
"payout_account": {
"attached": true,
"data_status": "ready",
"institution_name": "<string>",
"last4": "<string>",
"payout_ready": true,
"reason": "no_external_account"
},
"sales_by_day": [
{
"date": "2023-12-25",
"gross_minor": 4503599627370495,
"transaction_count": 4503599627370495
}
],
"source_complete_through": "2023-11-07T05:31:56Z",
"summary": {
"has_deposit_history": true,
"has_successful_sales": true,
"month_deposits_minor": 123,
"month_sales_minor": 123,
"today_sales_minor": 123,
"upcoming_deposit_arrival_date": "2023-12-25",
"upcoming_deposit_minor": 1
},
"truncated": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Home reporting aggregates; platform-transfer credits are visible in activity but excluded from sales.
Pattern:
^[a-z]{3}$Available options:
ready, stale, syncing, unavailable Available options:
live, sandbox Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Required range:
0 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required array length:
7 - 30 elementsRequired range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Available options:
7, 30 Hide child attributes
Hide child attributes
Required range:
0 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required array length:
7 - 30 elementsRequired range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Available options:
7, 30 Hide child attributes
Hide child attributes
Available options:
ready, unavailable Maximum string length:
120Pattern:
^[0-9]{4}$Available options:
no_external_account, requirements_due, ready, unavailable Hide child attributes
Hide child attributes
Required range:
x >= 0Last modified on September 1, 2026